%define pyver %(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")

Summary: Python FAM module
Name: python-fam
Version: 1.1.1
Release: %mkrel 6
Source0: http://prdownloads.sourceforge.net/python-fam/%{name}-%{version}.tar.xz
Patch0: python-fam-1.0.2-gamin.patch.bz2
License: GPL
Group: Development/Python
URL: http://python-fam.sourceforge.net/
Requires: python
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: python-devel, fam-devel

%description
Python FAM is a wrapper module around libfam from the FAM project. It
allows Python programs to monitor files and directories. An example
script is included.

%prep
%setup -q
%patch0 -p1 -b .gamin
chmod 755 test.py

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc test.py
%{_libdir}/python%pyver/site-packages/*

%changelog
* Sun Aug 11 2013 billybot <billybot>
 -update

* Thu Sep 02 2010 Texstar <texstar at gmail.com>
- rebuild for python 2.6.6

* Wed Aug 18 2010 pcserver <pcserver at hush.com>
- update package

* Mon Sep 21 2009 texstar <texstar at gmail.com>
-rebuild

* Sat Jul 26 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 1.1.1-3pclos2007
- Rebuild

* Mon Nov 06 2006 Neverstopdreaming <neverstopdreaming@gmail.com> 1.1.1-2pclos2007
- Build for PCLinuxOS 2007

